<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.sunzee">

    <uses-permission android:name="android.permission.INTERNET" /> <!-- iBeancon 功能所需权限 -->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" /> <!-- 个推电子围栏功能所需权限 -->
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"></uses-permission>

    <application
        android:name=".base.BaseApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <activity
            android:name=".ui.activity.MainActivity"
            android:label="@string/app_name"></activity>

        <activity
            android:name=".ui.activity.HomeActivity"
            android:windowSoftInputMode="stateHidden|adjustPan"></activity>

        <activity android:name=".ui.activity.LoginActivity" />
        <activity android:name=".ui.activity.AdvertisingActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <service
            android:name=".service.MyPushService"
            android:exported="true"
            android:label="PushService"
            android:permission="android.permission.BIND_JOB_SERVICE"
            android:process=":pushservice" />
        <service
            android:name=".service.MyIntentService"
            android:permission="android.permission.BIND_JOB_SERVICE" />

        <service android:name=".service.MyService" />
        <service
            android:name="com.igexin.sdk.PushService"
            android:exported="true"
            android:label="NotificationCenter"
            android:permission="android.permission.BIND_JOB_SERVICE"
            android:process=":pushservice"
            tools:replace="android:exported">
            <intent-filter>
                <action android:name="com.igexin.sdk.action.service.message" />
            </intent-filter>
        </service>
        <!--下载相关-->
        <service android:name=".service.DownServer" />

        <receiver android:name="com.igexin.sdk.PushReceiver">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                <action android:name="android.intent.action.USER_PRESENT" />
                <!-- 以下三项为可选的action声明，可⼤⼤提⾼service存活率和消息到达速度 -->
                <action android:name="android.intent.action.MEDIA_MOUNTED" />
                <action android:name="android.intent.action.ACTION_POWER_CONNECTED" />
                <action android:name="android.intent.action.ACTION_POWER_DISCONNECTED" />
            </intent-filter>
        </receiver>


        <receiver android:name=".receiver.DownReceiver">
            <intent-filter>
                <action android:name="android.intent.action.DOWNLOAD_COMPLETE" />
            </intent-filter>
        </receiver>
        <receiver android:name=".receiver.TimedCleaningTaskAlarmReceiver">
            <intent-filter>
                <action android:name="android.intent.action.Timed_Cleaning_Task" />
            </intent-filter>
        </receiver>
        <receiver android:name=".receiver.BootBroadcastReceiver">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>
    </application>

</manifest>